.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the VisualScriptDeconstruct.xml source instead.
.. The source is found in doc/classes or modules/<name>/doc_classes.

.. _class_VisualScriptDeconstruct:

VisualScriptDeconstruct
=======================

**Inherits:** :ref:`VisualScriptNode<class_visualscriptnode>` **<** :ref:`Resource<class_resource>` **<** :ref:`Reference<class_reference>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------

A Visual Script node which deconstructs a base type instance into its parts.

Member Functions
----------------

+------------------------+--------------------------------------------------------------------------------------------------------------------------+
| :ref:`int<class_int>`  | :ref:`get_deconstruct_type<class_VisualScriptDeconstruct_get_deconstruct_type>`  **(** **)** const                       |
+------------------------+--------------------------------------------------------------------------------------------------------------------------+
| void                   | :ref:`set_deconstruct_type<class_VisualScriptDeconstruct_set_deconstruct_type>`  **(** :ref:`int<class_int>` type  **)** |
+------------------------+--------------------------------------------------------------------------------------------------------------------------+

Member Variables
----------------

- :ref:`Array<class_array>` **elem_cache**
- :ref:`int<class_int>` **type** - The type to deconstruct.

Description
-----------

A Visual Script node which deconstructs a base type instance into its parts.

Member Function Description
---------------------------

.. _class_VisualScriptDeconstruct_get_deconstruct_type:

- :ref:`int<class_int>`  **get_deconstruct_type**  **(** **)** const

.. _class_VisualScriptDeconstruct_set_deconstruct_type:

- void  **set_deconstruct_type**  **(** :ref:`int<class_int>` type  **)**


